# MySQL dump 7.1
#
# Host: 10.0.0.2    Database: Promisance
#--------------------------------------------------------
# Server version	3.23.22-beta

#
# Table structure for table 'Ally'
#
CREATE TABLE Ally (
  number bigint(20) DEFAULT '0' NOT NULL,
  name text,
  ally bigint(20),
  ally2 bigint(20),
  ally3 bigint(20),
  war bigint(20),
  war2 bigint(20),
  war3 bigint(20),
  password varchar(10),
  alliance text,
  flag text,
  url text,
  founder bigint(20),
  msg text,
  PRIMARY KEY (number)
);

#
# Table structure for table 'HelMkt'
#
CREATE TABLE HelMkt (
  number bigint(20) DEFAULT '0' NOT NULL,
  seller text DEFAULT '' NOT NULL,
  amount bigint(20) DEFAULT '0' NOT NULL,
  price int(11) DEFAULT '0' NOT NULL,
  hours int(11) DEFAULT '0' NOT NULL,
  PRIMARY KEY (number)
);

#
# Table structure for table 'InfMkt'
#
CREATE TABLE InfMkt (
  number bigint(20) DEFAULT '0' NOT NULL,
  seller text DEFAULT '' NOT NULL,
  amount bigint(20) DEFAULT '0' NOT NULL,
  price int(11) DEFAULT '0' NOT NULL,
  hours int(11) DEFAULT '0' NOT NULL,
  PRIMARY KEY (number)
);

#
# Dumping data for table 'InfMkt'
#

#
# Table structure for table 'Message'
#
CREATE TABLE Message (
  msg_number bigint(20) DEFAULT '0' NOT NULL,
  msg_text text,
  PRIMARY KEY (msg_number)
);

#
# Dumping data for table 'Message'
#


#
# Table structure for table 'Message_user'
#
CREATE TABLE Message_user (
  destination int(11),
  msg_number bigint(20),
  newmsg int(1)
);

#
# Dumping data for table 'Message_user'
#

#
# Table structure for table 'News'
#
CREATE TABLE News (
  attnum int(11),
  defnum int(11),
  attack text,
  loss text,
  date int(11),
  hour int(11),
  defname text,
  attname text,
  attally text,
  defally text,
  month int(11)
);

#
# Table structure for table 'Players'
#
CREATE TABLE Players (
  username varchar(10) DEFAULT '' NOT NULL,
  password varchar(8),
  email varchar(25),
  state varchar(10),
  name varchar(20),
  empire varchar(35),
  race varchar(8),
  IP varchar(15),
  lastday int(11),
  infantry bigint(21),
  cash bigint(21),
  tanks bigint(21),
  helis bigint(21),
  turns int(11),
  land int(11),
  freeland int(11),
  food bigint(21),
  peasants int(11),
  attacks int(11),
  spies int(11),
  shops int(11),
  homes int(11),
  industry int(11),
  barracks int(11),
  labs int(11),
  farms int(11),
  turnsused int(11),
  valcode varchar(9),
  tax int(11),
  validated int(11),
  online int(11),
  free int(11),
  savings int(11),
  loan int(11),
  runes int(11),
  wizards int(11),
  infind int(11),
  tnkind int(11),
  helind int(11),
  spyind int(11),
  networth bigint(21),
  rank int(11),
  num int(11),
  shield int(11),
  gate int(11),
  question varchar(50),
  answer varchar(20),
  referred int(11),
  cookie varchar(9),
  multi int(11),
  messages int(11),
  lasthour int(11),
  clear int(11),
  towers int(11),
  forces int(11),
  vacation int(11),
  ticket int(11),
  lottery int(11),
  offense int(11),
  race2 text,
  signed text,
  allytime int(11),
  ships bigint(20),
  shpind bigint(20),
  daysidle int(11),
  newstext text,
  alliance bigint(20),
  aid int(11),
  PRIMARY KEY (username)
);

#
# Table structure for table 'Shipping'
#
CREATE TABLE Shipping (
  num_shipping bigint(20) DEFAULT '0' NOT NULL,
  amount_sh bigint(20),
  destination text,
  hours int(11),
  method text,
  PRIMARY KEY (num_shipping)
);

#
# Table structure for table 'Shipping_methods'
#
CREATE TABLE Shipping_methods (
  method_name text,
  delay int(11),
  capacity bigint(20),
  cost bigint(20)
);

#
# Table structure for table 'ShpMkt'
#
CREATE TABLE ShpMkt (
  number bigint(20) DEFAULT '0' NOT NULL,
  seller text DEFAULT '' NOT NULL,
  amount bigint(20) DEFAULT '0' NOT NULL,
  price int(11) DEFAULT '0' NOT NULL,
  hours int(11) DEFAULT '0' NOT NULL,
  PRIMARY KEY (number)
);

#
# Table structure for table 'TnkMkt'
#
CREATE TABLE TnkMkt (
  number bigint(20) DEFAULT '0' NOT NULL,
  seller text DEFAULT '' NOT NULL,
  amount bigint(20) DEFAULT '0' NOT NULL,
  price int(11) DEFAULT '0' NOT NULL,
  hours int(11) DEFAULT '0' NOT NULL,
  PRIMARY KEY (number)
);



